# zoomie

a zoomer app inspired by [tsoding's boomer](https://github.com/tsoding/boomer) but with support for wayland and written in rust.

## controls

| controls                                                           | description                                       |
| ------------------------------------------------------------------ | ------------------------------------------------- |
| <kbd>Esc</kbd>                                                     | quit the app                                      |
| drag using left click or move the cursor to the edge of the screen | move around                                       |
| hold <kbd>Ctrl</kbd>                                               | enables the spotlight effect and hides the cursor |
| scroll wheel                                                       | zooms in/out                                      |
| <kbd>Ctrl</kbd> + scroll wheel                                     | change the radius of the spotlight                |
| <kbd>R</kbd>                                                       | resets the zoom and position                      |

## install

### from source using cargo

- clone the repository
- `cd` into the repository
- run `cargo install --path .`, cargo will build a release build and install it, for more info check the [cargo-install docs](https://doc.rust-lang.org/cargo/commands/cargo-install.html)
